@import url(full-page-slideshow.css);
@import url(full-page-stack.css);
@import url(gallery-page.css);

* {
    list-style: none;
    touch-action: manipulation;
}

html {
    scroll-behavior: smooth;
}

body,
html {
    height: 100%;
    margin: 0;
    padding: 0;
}

a {
    color: inherit;
}

figure {
    margin: 0!important;
    padding: 0!important;
}

.background__image iframe {
    display: block;
    width: 100vw;
    height: 100vh;
    border: none;
}

.background__image {
    position: relative;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}

.blk-background {
    background-color: var(--blk) !important;
}

.contact-section.is-hidden {
    display: none;
}

.main__contact-mobile {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    height: 100vh;
    height: 100%;
}

.bottom-right-mobile {
    z-index: 1000;
    position: fixed;
    right: 0;
    bottom: 0;
    padding: 1rem;
    text-align: right;
}

.menu__desktop{
    z-index: 1000;
}

.nav__categories {
    display: flex;
    z-index: 1000;
    position: fixed;
    top: 0;
    left: 0;
    align-items: flex-start;
    justify-content: space-between;
    width: 100%;
    margin: 0;
    padding: 0.85rem;
    padding-inline: 17px;
}

.nav__category--contact {
    margin-right: 2rem;
}

.nav__logo img {
    display: block;
    height: 30px;
}

.contact-section {
    position: fixed;
    top: 50%;
    right: 0;
    margin-right: 1rem;
}

.menu__mobile {
    z-index: 1000;
}

.nav__logo-mobile img {
    width: 10rem;
    padding: 1rem;
    z-index: 1000;
}

.nav__categories-mobile {
    z-index: 1000;
    position: fixed;
    top: 0;
    right: 0!important;
    padding-top: 3.5rem;
    padding-right: 1rem;
    text-align: right;
}

.nav__categories-mobile a,
.signature-desktop a {
    text-decoration: none;
    color: inherit;
}

.signature-desktop a:hover {
    text-decoration: underline;
}

.burger {
    z-index: 1000;
    position: fixed;
    top: 0;
    right: 0;
    padding-right: 1rem;
    border: none;
    font-size: 3rem;
    font-weight: 500;
    background: none;
    cursor: pointer;
}

video::-webkit-media-controls,
video::-webkit-media-controls-start-playback-button {
    display: none !important;
    -webkit-appearance: none;
}

 .signature {
    position: fixed;
    bottom: 2%;
    left: 2.1rem;
    padding: 0;
    transform-origin: bottom left;
    transform: rotate(-90deg) translateY(-100%);
}

.signature-desktop {
    position: fixed;
    bottom: 13.5rem;
    right: -11.5rem;
    padding: 0;
    transform-origin: bottom right;
    transform: translateX(-100%) rotate(-90deg);
    white-space: nowrap;
}

.project__fullpage {
    display: none;
    flex-direction: column;
    justify-content: center;
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    margin: 0;
}

.project__fullpage.active {
    display: flex;
}

.background__image {
    width: 100vw;
    height: 100vh;
    object-fit: cover;
    overflow: hidden;
}

.background__image:hover{
    opacity:0.95;
}

.project__description{
    position: absolute;
    padding-inline: 17px;
}

.project__description {
    opacity: 0;
}

.project__fullpage:hover .project__description {
    opacity: 1;
}

/* mobile */
@media (max-width:780px) {

    .menu__desktop,
    .signature-desktop,
    .contact-section {
        display: none;
    }

    .burger {
        display: flex;
        padding: 1rem;
    }

    .nav__category--contact {
        margin-right: 0;
    }

    .menu__mobile {
        display: none;
        transition: all 0.3s ease;
    }

    .menu__mobile.open {
        display: block;
    }

    .nav__logo-mobile {
        display: block;
        z-index: 1000;
        position: fixed;
        top: 0;
    }

    #close-video {
        top: 0;
        right: 1.5rem;
    }

    .project__description{
        opacity: 1;
        position: absolute;
        bottom: 0;
        z-index: 1000;
        padding: 0.5rem;
    }
}

/* desktop */
@media (min-width:780px) {

    .menu__mobile,
    .burger,
    .nav__categories-mobile,
    .nav__logo-mobile {
        display: none;
    }
}
